%define anolis_release 2

Name:      python-typing-extensions
Version:   4.9.0
Release:   %{anolis_release}%{?dist}
Summary:   Python Typing Extensions

License:   PSF-2.0
URL:       https://pypi.org/project/typing-extensions/
Source0:   %{pypi_source typing_extensions}

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3-test
BuildRequires: python3-tomli


%global _description %{expand:
The `typing_extensions` module serves two related purposes:

- Enable use of new type system features on older Python versions. For example,
  `typing.TypeGuard` is new in Python 3.10, but `typing_extensions` allows
  users on Python 3.6 through 3.9 to use it too.
- Enable experimentation with new type system PEPs before they are accepted and
  added to the `typing` module.

New features may be added to `typing_extensions` as soon as they are specified
in a PEP that has been added to the [python/peps](https://github.com/python/peps)
repository. If the PEP is accepted, the feature will then be added to `typing`
for the next CPython release. No typing PEP has been rejected so far, so we
haven't yet figured out how to deal with that possibility.

Starting with version 4.0.0, `typing_extensions` uses
[Semantic Versioning](https://semver.org/). The
major version is incremented for all backwards-incompatible changes.
Therefore, it's safe to depend
on `typing_extensions` like this: `typing_extensions >=x.y, <(x+1)`,
where `x.y` is the first version that includes all features you need.

`typing_extensions` supports Python versions 3.7 and higher. In the future,
support for older Python versions will be dropped some time after that version
reaches end of life.}

%description %_description

%package -n python3-typing-extensions
Summary:       %{summary}

%description -n python3-typing-extensions %_description


%package -n python3-typing-extensions-doc
Summary:       %{summary}
Requires:      python3-typing-extensions = %{version}-%{release}

%description -n python3-typing-extensions-doc
Doc files for python3-typing-extensions

%prep
%autosetup -n typing_extensions-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files typing_extensions


%check
cd src
%{python3} -m unittest discover

%files -n python3-typing-extensions -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md

%files -n python3-typing-extensions-doc
%doc README.md

%changelog
* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 4.9.0-2
- Rebuild with python3.11

* Fri Feb 02 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 4.9.0-1
- upgrade to 4.9.0

* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 4.5.0-1
- package init from upstream
